Create a new client lead

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create an End Client Search Lead

Please note: clientIdentifier - The Client Identifier value is a unique ID assigned by your back end. This will prevent duplicate Client Leads from being created. As long as a request is still a Client Lead in Avinode, the information therein will not be changed/updated regardless of the client sending another request or if any details are changed (itinerary, client name, contact details, etc.).

The only way to create an additional Client Lead in Avinode is by your back end assigning a new value to the clientIdentifier in the POST /leads request body.

{
  "inquiryLift": [
    {
      "aircraftType": "Gulfstream G-V",
      "priceExpectation": 25000,
      "availabilityId": null
    }
  ],
  "sellerQuoteIds": ["asearchhit-9174615873"],
  "searchId": "asearch-40576413",
  "leadContactInfo": {
    "name": "John Smith",
    "title": "Dr",
    "url": "http://www.smithandsons.test",
    "emailAddresses": [
      {
        "type": "Work",
        "emailAddress": "[email protected]"
      }
    ],
    "phoneNumbers": [
      {
        "type": "Work",
        "phoneNumber": "+123456700"
      },
      {
        "type": "Home",
        "phoneNumber": "+123456789"
      }
    ]
  },
  "leadCurrency": "EUR",
  "leadMessage": "I want to bring my dog.",
  "leadLocale": "en",
  "campaignIdentifier": "Sales Campaign 3",
  "clientIdentifier": "clientID-12001"
}

Create an Empty Leg Client Lead

When creating an Empty Leg Client Lead from an Empty Leg search, the searchId along with the inquiryLift.emptyLegId parameters need to be included in the request body payload.

If the Empty Leg Client Lead is created from an Empty Leg Watch subscription, only the inquiryLift.emptyLegId needs to be included in the request body payload.

{
  "searchId": "asearch-62974123",
  "inquiryLift": [
    {
      "emptyLegId": "el-403487289",
      "priceExpectation": 0
    }
  ],
  "leadContactInfo": {
    "name": "Empty Leg Buyer",
    "title": "Mr",
    "url": "http://www.empty-leg-buyer-corp.test",
    "emailAddresses": [
      {
        "type": "Work",
        "emailAddress": "[email protected]"
      }
    ],
    "phoneNumbers": [
      {
        "type": "Work",
        "phoneNumber": "+123456700"
      },
      {
        "type": "Home",
        "phoneNumber": "+123456789"
      }
    ]
  },
  "leadCurrency": "USD",
  "leadMessage": "I want to bring my dog.",
  "leadLocale": "en",
  "campaignIdentifier": "Empty Leg Campaign 1",
  "clientIdentifier": "clientID-87001"
}
Body Params

A sales lead

inquiryLift
array of objects

Restrict to specific categories, types, tails

inquiryLift
segments
array of objects

The requested itinerary of the lead. Can be omitted if 'searchId' is provided.

segments
string

The search that produced this lead. You must provide this or exactly 1 empty leg lift.

sellerQuoteIds
array
sellerQuoteIds
leadAddress
object

The street address of the lead

leadContactInfo
object
required

Contact information for the lead

string

The preferred currency of the lead. Use the ISO currency code. Example: 'USD'

string

Any message the lead supplied

string
enum

The preferred language / locale of the lead.

Allowed:
string

Any campaign identifier used to track where the lead originated.

string

The domain name that the lead was captured on. Example: 'avinode.com'

string

A unique identifier for this lead assigned by the caller. A GUID is recommended.

Headers
string

ISO8601 Timestamp

string

API Token

string

Calling product / software (ex: AcmeApp-v10.2)

Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json